Thank you for taking the time to let us know that you're having an issue with Rubinius. We apologize for the inconvenience.

Please respond to the following questions to help us fix the issue. Please leave the form contents in place. If a question isn't relevant, please respond with N/A.

Please include a link to a gist (https://gist.github.com/) for terminal output, including backtraces, rather than pasting them inline in the issue.

1. What command did you run?

  I ran `...`

2. What behavior did you expect?

  I expected ...

3. What behavior did you get instead?

  I observed ...

4. What version of Rubinius?

  *Note that we accept issue reports for the current release of Rubinius. That version can be found at https://rubinius.com/install/. If there is a reason that you cannot use the current version, other than not having installed the current version, please include that reason in your issue.*

  Output of `rbx -v`:

5. What version of operating system?

  Output of `uname -a`:

6. What is your operating system distribution, if your operating system has more than one?

  My distribution is ...

7. How did you build your version of Rubinius?

  - [ ] I used RVM.
  - [ ] I used ruby-build.
  - [ ] I used ruby-install.
  - [ ] I built manually from a tarball.
  - [ ] I built manually from a git clone.
  - [ ] I installed a binary.

8. Does this issue involve proprietary code?

  - [ ] Yes, this issue involves proprietary code that I cannot share.
  - [ ] Yes, this issue involves proprietary code, but I am able to share it under certain conditions.
  - [ ] No, this issued doesn't involve proprietary code.

9. Are you able to help us debug the issue?

  - [ ] Yes, I'm able to help debug, including running commands under lldb.
  - [ ] No, I'm not able help debug or I don't have time to help.
